Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Interface BeanNameAware

All Known Implementing Classes:
  AbstractExcelView, AbstractJasperReportsSingleFormatView, AbstractJasperReportsView, AbstractJExcelView, AbstractJmsListeningContainer, AbstractMessageListenerContainer, AbstractPdfView, AbstractPollingMessageListenerContainer, AbstractRequestLoggingFilter, AbstractTemplateView, AbstractUrlBasedView, AbstractView, AbstractXsltView, CharacterEncodingFilter, CommonsRequestLoggingFilter, ConfigurableJasperReportsView, CronTriggerBean, DefaultAdvisorAutoProxyCreator, DefaultMessageListenerContainer, DefaultMessageListenerContainer102, DelegatingFilterProxy, EhCacheFactoryBean, FieldRetrievingFactoryBean, FilterDefinitionFactoryBean, FreeMarkerView, GenericFilterBean, InternalResourceView, JasperReportsCsvView, JasperReportsHtmlView, JasperReportsMultiFormatView, JasperReportsPdfView, JasperReportsXlsView, JobDetailBean, JstlView, Log4jNestedDiagnosticContextFilter, MethodInvokingJobDetailFactoryBean, MultipartFilter, OncePerRequestFilter, OpenEntityManagerInViewFilter, OpenPersistenceManagerInViewFilter, OpenSessionInViewFilter, OpenSessionInViewFilter, PortletWrappingController, PreferencesPlaceholderConfigurer, PropertyPathFactoryBean, PropertyPlaceholderConfigurer, RedirectView, RequestContextFilter, ScheduledExecutorFactoryBean, ScheduledExecutorFactoryBean, ServerSessionMessageListenerContainer, ServerSessionMessageListenerContainer102, ServletContextPropertyPlaceholderConfigurer, ServletContextRequestLoggingFilter, ServletForwardingController, ServletWrappingController, SimpleMessageListenerContainer, SimpleMessageListenerContainer102, SimpleTriggerBean, ThreadPoolTaskExecutor, ThreadPoolTaskExecutor, TilesJstlView, TilesView, TimerFactoryBean, TypeDefinitionBean, VelocityLayoutView, VelocityToolboxView, VelocityView, XsltView

    public interface BeanNameAware

Interface to be implemented by beans that want to be aware of their bean name in a bean factory. Note that it is not usually recommended that an object depend on its bean name, as this represents a potentially brittle dependence on external configuration, as well as a possibly unnecessary dependence on a Spring API.

For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Since:
  01.11.2003
Author:
  Juergen Hoeller
See Also:
  `BeanClassLoaderAware`, `BeanFactoryAware`, `InitializingBean`

Method Summary
`void` | `setBeanName(String name)` Set the name of the bean in the bean factory that created this bean.

Method Detail

### setBeanName

    void setBeanName(String name)

  Set the name of the bean in the bean factory that created this bean.

  Invoked after population of normal bean properties but before an init callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method.

  Parameters:
    `name` - the name of the bean in the factory. Note that this name is the actual bean name used in the factory, which may differ from the originally specified name: in particular for inner bean names, the actual bean name might have been made unique through appending "#..." suffixes. Use the `BeanFactoryUtils.originalBeanName(String)` method to extract the original bean name (without suffix), if desired.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.